IPhysics: CPhysicsCarWheel Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CPhysicsCarWheel Class Reference

`#include <CPhysicsCarWheel.h>`

List of all members.

## Public Member Functions

| CPhysicsCarWheel ()
| ~CPhysicsCarWheel ()
void | rigupPhysics (NewtonJoint *vehicle, vector3df wheelPosition, SPhysicsCar *car, CPhysicsCarWheel *wheelpointer, s32 tyreid)
void | setTirePhysics (const NewtonJoint *vehicle, void *id)
ISceneNode * | getNode ()
void | setSteer (f32 steerAngle)
void | setTorque (f32 torque)
void | setBrakes (f32 brakes)
void | setNode (ISceneNode *node)
void | setMaterial (int material)

## Protected Attributes

f32 | m_steerAngle
f32 | m_radius
f32 | m_torque
f32 | m_brakes
ISceneNode * | m_wheelNode

## Constructor & Destructor Documentation

CPhysicsCarWheel::CPhysicsCarWheel | ( |  | ) |

CPhysicsCarWheel::~CPhysicsCarWheel | ( |  | ) |

## Member Function Documentation

void CPhysicsCarWheel::rigupPhysics | ( | NewtonJoint * | vehicle,
|  | vector3df | wheelPosition,
|  | SPhysicsCar * | car,
|  | CPhysicsCarWheel * | wheelpointer,
|  | s32 | tyreid |
| ) |  |  |

void CPhysicsCarWheel::setTirePhysics | ( | const NewtonJoint * | vehicle,
|  | void * | id |
| ) |  |  |

ISceneNode * CPhysicsCarWheel::getNode | ( |  | ) |

void CPhysicsCarWheel::setSteer | ( | f32 | steerAngle | ) |

void CPhysicsCarWheel::setTorque | ( | f32 | torque | ) |

void CPhysicsCarWheel::setBrakes | ( | f32 | brakes | ) |

void CPhysicsCarWheel::setNode | ( | ISceneNode * | node | ) |

void CPhysicsCarWheel::setMaterial | ( | int | material | ) |

## Member Data Documentation

f32 CPhysicsCarWheel::m_steerAngle`[protected]`

f32 CPhysicsCarWheel::m_radius`[protected]`

f32 CPhysicsCarWheel::m_torque`[protected]`

f32 CPhysicsCarWheel::m_brakes`[protected]`

ISceneNode* CPhysicsCarWheel::m_wheelNode`[protected]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsCarWheel.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsCarWheel.cpp